Exceptions
==========

.. automodule:: astroid.exceptions

   .. rubric:: Classes

   .. autosummary::

      BinaryOperationError
      OperationError
      UnaryOperationError

   .. rubric:: Exceptions

   .. autosummary::

      AstroidBuildingError
      AstroidBuildingException
      AstroidError
      AstroidImportError
      AstroidIndexError
      AstroidSyntaxError
      AstroidTypeError
      AttributeInferenceError
      DuplicateBasesError
      InconsistentMroError
      InferenceError
      MroError
      NameInferenceError
      NoDefault
      NotFoundError
      ParentMissingError
      ResolveError
      SuperArgumentTypeError
      SuperError
      TooManyLevelsError
      UnresolvableName
      UseInferenceDefault
